> ## Documentation Index
> Fetch the complete documentation index at: https://help.hoopai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Website URLs Data

> Returns all trained and discovered URLs for the knowledge base, including their training status and metadata.



## OpenAPI

````yaml /api-reference/knowledge-base/openapi.json get /knowledge-base/{knowledgeBaseId}/urls
openapi: 3.0.0
info:
  title: Knowledge Base API
  description: >-
    Documentation for Knowledge Base API — create and manage knowledge bases,
    train web content via URL crawling, and manage FAQ entries.
  version: '1.0'
  contact: {}
servers:
  - url: https://services.leadconnectorhq.com
security: []
tags:
  - name: Knowledge Bases
    description: Create, list, update, and delete knowledge bases
  - name: Web Crawler
    description: Discover and train website URLs for knowledge base content
  - name: FAQs
    description: Create, list, update, and delete FAQ entries within a knowledge base
paths:
  /knowledge-base/{knowledgeBaseId}/urls:
    get:
      tags:
        - Web Crawler
      summary: Get All Website URLs Data
      description: >-
        Returns all trained and discovered URLs for the knowledge base,
        including their training status and metadata.
      operationId: get-all-website-urls
      parameters:
        - name: Version
          in: header
          description: API Version
          required: true
          schema:
            type: string
            enum:
              - '2021-07-28'
        - name: knowledgeBaseId
          in: path
          description: The knowledge base ID
          required: true
          schema:
            type: string
            example: kb_abc123def456
      responses:
        '200':
          description: URLs retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListUrlsResponseDTO'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDTO'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDTO'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundDTO'
        '422':
          description: Unprocessable Entity
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableDTO'
      security:
        - bearer: []
components:
  schemas:
    ListUrlsResponseDTO:
      type: object
      properties:
        urls:
          type: array
          description: All URLs in the knowledge base
          items:
            $ref: '#/components/schemas/WebUrlDTO'
    BadRequestDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        message:
          type: string
          example: Bad Request
    UnauthorizedDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 401
        message:
          type: string
          example: 'Invalid token: access token is invalid'
        error:
          type: string
          example: Unauthorized
    NotFoundDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 404
        message:
          type: string
          example: Not found
        error:
          type: string
          example: Not Found
    UnprocessableDTO:
      type: object
      properties:
        statusCode:
          type: number
          example: 422
        message:
          type: array
          items:
            type: string
          example:
            - Unprocessable Entity
        error:
          type: string
          example: Unprocessable Entity
    WebUrlDTO:
      type: object
      properties:
        url:
          type: string
          description: The URL
          example: https://www.example.com/about
        title:
          type: string
          description: Page title
          example: About Us
        status:
          type: string
          description: Training status
          enum:
            - pending
            - training
            - trained
            - failed
          example: trained
        trainedAt:
          type: string
          format: date-time
          description: When the URL was last trained
        wordCount:
          type: integer
          description: Number of words extracted from the page
          example: 1250
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      description: >-
        Use the Access Token generated with user type as Sub-Account (OR)
        Private Integration Token of Sub-Account.
      type: http

````